Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1060506

Summary: [RFE][heat]: Expose signal and waitcondition on the REST API
Product: Red Hat OpenStack Reporter: RHOS Integration <rhos-integ>
Component: openstack-heatAssignee: RHOS Maint <rhos-maint>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: low    
Version: unspecifiedCC: ddomingo, markmc, sbaker, sdake, shardy, yeylon
Target Milestone: gaKeywords: FutureFeature
Target Release: 5.0 (RHEL 7)   
Hardware: Unspecified   
OS: Unspecified   
URL: https://blueprints.launchpad.net/heat/+spec/native-signal-api
Whiteboard: upstream_milestone_icehouse-3 upstream_status_implemented upstream_definition_approved
Fixed In Version: Doc Type: Enhancement
Doc Text:
Feature: This is an internalism and should not be documented. Reason: Result (if any):
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-22 19:08:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description RHOS Integration 2014-02-02 05:02:29 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/heat/+spec/native-signal-api.

Description:

To get to a CFN-free world, we need to expose the signal and waitcondition APIs on the native endpoint. Authentication is taken care of separately, for now we can consider that this will work by Icehouse.

Specification URL (additional information):

None

Comment 1 Stephen Gordon 2014-02-19 19:38:34 UTC
Updating based on BP milestone